summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-10 17:13:47 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-10 17:17:33 +0100
commit0543350d44dc4e07e20d718b0d7bfbbca9f730ce (patch)
tree8d6beea4b7730eb4ffdc6ed3b11e3c8ba845a89f /script
parent12f9afe62252d49743526e83d97e0f91171c8a48 (diff)
handle/make/file: run make-clean first
flashrom distclean resulted in zero status upon exit, but did not remove the actual flashrom binary. our logic was to run distclean and defer to clean; now, we run clean and *then* run distclean, but we do not throw an error if distclean fails. (we do throw one if clean fails) Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/handle/make/file5
1 files changed, 3 insertions, 2 deletions
diff --git a/script/handle/make/file b/script/handle/make/file
index 78834db7..985abf35 100755
--- a/script/handle/make/file
+++ b/script/handle/make/file
@@ -71,8 +71,9 @@ run_make_command()
make -C "${project}" -j$(nproc) || \
err "run_make_command: !make -C ${project}"
else
- make -C "${project}" distclean || make -C "${project}" clean \
- || err "run_make_command: ${project}: make-clean failed"
+ make -C "${project}" clean || \
+ err "run_make_command: ${project}: make-clean failed"
+ make -C "${project}" distclean || :
fi
}